MKRESCUE(8)

NOM
mkrescue - Créer une disquette de secours

SYNOPSIS

/sbin/mkrescue - crée une disquette ou un CD amorçable de secours en utilisant le noyau par défaut spécifié dans lilo.conf.

DESCRIPTION

mkrescue choisit pour noyau celui indiqué par défaut dans le fichier /etc/lilo.conf. Si la valeur par défaut est other=, la première entrée image= sera utilisée. Tout disque virtuel mémoire initial (initrd=) et options append= seront également utilisés. Le répertoire racine sera le répertoire racine courant. Une disquette ou une image CD amorçable sera créée en utilisant la version 22.5.5 de LILO ou toute version supérieure. mkrescue ne nécessite aucune option à moins que l'on souhaite créer une image CD (--iso).

OPTIONS

--append <chaîne>
    Écraser toute option append= indiquée dans l'image par défaut. Si vous avez le moindre doute sur la validité des options dans lilo.conf, vous pouvez choisir de ne passer aucun paramètre au noyau en fournissant une chaîne vide à cette option : --append "".

--debug
    Fournir une sortie volubile du travail de mkrescue, tout en effectuant des pauses afin de pouvoir visualiser la configuration des paramètres internes du traitement. Vous devez taper la touche « <Entrée> » pour avancer entre ces pauses.

--device <périphérique>
    Créer la disquette sur un périphérique autre que /dev/fd0. La disquette sera tout de même créée pour être amorcée sur le périphérique BIOS de code 0x00 (lecteur A:), quelque soit le périphérique sur lequel elle a été créée.

--fast
    Utiliser une méthode plus rapide pour créer la disquette de démarrage. Cela implique d'abord la création d'un fichier de « --size » blocs de 1 Ko (la valeur par défaut étant 1440) monté en utilisant un périphérique boucle locale (Ndt : loopback), puis la création de la disquette de démarrage, et enfin sa copie sur la disquette.

--fs [ ext2 | msdos | minix ]
    Spécifier le type du système de fichiers à créer. La valeur par défaut est ext2, mais msdos et minix permettent d'avoir quelques secteurs supplémentaires sur le disque pour des noyaux vraiment plus volumineux.

--help
    Afficher un court résumé d'utilisation qui inclut une liste des options.

--image <étiquette>
    Spécifier l'étiquette ou l'alias l'image particulière dont seront tirés les options « append », le disque virtuel mémoire initial, la racine, la table de caractères et les informations sur le noyau.

--initrd <filepath>  et  --kernel <filepath>
    Ces options, qui doivent être utilisées ensemble, permettent de spécifier des fichiers noyau et disque virtuel mémoire initial à utiliser pour la création de la disquette de démarrage. Soyez certains de ce que vous faites avant d'utiliser ces options. Si un noyau particulier n'a pas besoin de disque virtuel mémoire initial, vous DEVEZ spécifier un chemin vide pour le disque virtuel de la manière suivante : --append "".

--install [ text | menu ]
    Permet d'écraser l'interface utilisateur utilisée par défaut par le chargeur de démarrage de secours (option « install= » du fichier de configuration). « text » est la valeur par défaut pour les disquettes 1.2 Mo et 1.44 Mo, et« menu » est la valeur par défaut pour les disquettes 2.88 Mo et l'émulation disque dur sur CDROM.

--iso
    Créer une image CD ISO-9660 amorçable (format El Torito) pour la graver sur un CD-R ou un CD-RW. La valeur par défaut de l'option --device est « rescue.iso » et celle de --size est 2880. Vous pouvez utilisez un utilitaire comme cdrecord pour graver le fichier ISO sur un CD enregistrable. Avec l'option --iso, l'utilisation de l'option --size HD est permise.

--nocompact
    Pour un chargement plus rapide du noyau à partir d'une disquette, la compression LILO est normalement active. Cette option la désactivera en supprimant l'option -c de lilo.

--noformat
    Supprimer la création d'un nouveau système de fichiers sur la disquette de démarrage. Utilisez cette option seulement si vous êtes certain que la disquette sur laquelle vous allez écrire est formaté avec le même système de fichiers spécifié avec l'option --fs XXX, la valeur par défaut étant ext2.

--root <périphérique>
    Spécifier le système de fichiers racine pour le noyau de la disquette de démarrage. La valeur par défaut est l'actuelle racine montée

--size [ 1440 | 1200 | 2880 | HD ]
    La taille par défaut de la disquette est 1440, signifiant une disquette 1.44 Mo. Lorsque l'option --iso est fournie, la taille par défaut est 2880. Les valeurs 1200, 1440 ou 2880 signifient respectivement des disquettes 1.2 Mo, 1.44 Mo ou 2.88 Mo. Aucune autre taille de disquette n'est gérée.

    L'indication HD, qui signifie « hard disk », ne peut être utilisée que conjointement avec l'option --iso pour indiquer qu'un disque dur de 16 Mo sera créé pour émulation. Cela permet permet des combinaisons noyau/disque virtuel mémoire initial de grandes tailles sur le CD. L'image disque dur est créée en utilisant les périphériques boucle locale /dev/loop0 et /dev/loop1 qui doivent donc être libre pour pouvoir utiliser cette option.

--version
    Afficher le numéro de version de mkrescue et quitter.

AUTEUR
John Coffman <johninsd@san.rr.com> (3.0)

VOIR AUSSI
lilo(8), lilo.conf(5), mkfs(8), dd(1), mount(8), mkinitrd(8), mkisofs(8), cdrecord(1)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 8 mars 2006 et révisée le 25 avril 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 mkrescue ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.